
I was riding the bus from work at around the 17th around 5 p.m. Usually I took my car from work, but this time I opted to come back by public transportation. I stood up from my seat a half block before the station I was going to get off the bus. The street on which we were circulating was narrow. When I stood up, a car passed the bus, but had another car in front of it, so the bus driver had to make a violent maneuver. The front door of the bus was open and I fell out, head first against the pavement. The bus stopped 20 meters ahead from where I was. The bus driver backed up.

At that moment, I saw myself on the floor, as if I was on top of the bus. The bus driver came out of the bus, and lifted my body. He continued his route and took me to the Carrillo Sanatorium. When we arrived there, the bus driver and a nurse took me in to see the doctor. He took my pulse in my wrists, examined my heart with the stethoscope and put a mirror in front of my mouth to check to see if I was breathing, 'He does not have any pressure and his heart is not functioning. This man is dead, go call a family member,’ he told the nurse and the driver. After that, he called another nurse who came with a stretcher and told them, ‘Take him to the second floor because there are no beds anywhere. Since he is dead, leave him there until someone comes to recognize him.’

While I was on the stretcher, I observed a very white light at a distance. While I was approaching the light, it was like floating in the air. When I reached the light, I entered it and my arms disappeared through it, but part of me was outside and did not cross that frontier. As my arms were entering, the people who were in the light came to get me. They were all my friends and family who had passed away, and I could see their complete bodies.

At this point, I could hear my son calling the sanatorium personnel, because my left ear was bleeding. I started to feel a very strong headache; I could observe the sanatorium again and they took me to intensive care.
